import org.junit.Assert;
import org.junit.Test;
public class FizzBuzzTest
{
    @Test
    public void testNumberDivisibleByThree() {
        //Given
        FizzBuzz bythree = new FizzBuzz();
        int number = 6;
        String expected = "Fizz";

        //when
        String actual = bythree.testNumberDivisibleByThree(number);

        //Then
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testNumberNotDivisibleByThree() {
        //Given
        FizzBuzz notbythree = new FizzBuzz();
        int number = 4;
        String expected = "4";
        //when
        String actual = notbythree.testNumberNotDivisibleByThree(number);
        //Then
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testNumberDivisibleByFive()
    {
        FizzBuzz byfive = new FizzBuzz();
        int number = 10;
        String expected = "Buzz";
        //when
        String actual = byfive.testNumberDivisibleByFive(number);
        //Then
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testNumberNotDivisibleByFive()
    {
        //Given
        FizzBuzz notbyfive = new FizzBuzz();
        int number = 7;
        String expected = "7";
        //when
        String actual = notbyfive.testNumberNotDivisibleByFive(number);
        //Then
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testDivisibleByFifteen()
    {
        FizzBuzz byfifteen = new FizzBuzz();
        int number = 15;
        String expected = "FizzBuzz";
        //when
        String actual = byfifteen.testDivisibleByFifteen(number);
        //Then
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void testNotDivisibleByFifteen()
    {
        FizzBuzz notbyfifteen = new FizzBuzz();
        int number = 17;
        String expected = "17";
        //when
        String actual = notbyfifteen.testNotDivisibleByFifteen(number);
        //Then
        Assert.assertEquals(expected, actual);
    }
}